net.sf.statcvs.charts

## Class DirectoryPieChartMaker

- java.lang.Object
- - net.sf.statcvs.charts.DirectoryPieChartMaker

Direct Known Subclasses:
  DirectoryPieChartMaker.CodeDistributionChartMaker, DirectoryPieChartMaker.DirectorySizesChartMaker

    public abstract class DirectoryPieChartMaker
    extends java.lang.Object

Class for producing directory pie charts

Version:
  $Id: DirectoryPieChartMaker.java,v 1.14 2009/08/21 23:06:51 benoitx Exp $
Author:
  jentzsch, Richard Cyganiak (richard@cyganiak.de)

### Nested Class Summary

Nested Classes
`static class` `DirectoryPieChartMaker.CodeDistributionChartMaker`
`static class` `DirectoryPieChartMaker.DirectorySizesChartMaker`

### Constructor Summary

Constructors
Constructor and Description
`DirectoryPieChartMaker(java.lang.String chartName, ReportConfig config, java.util.SortedSet directories, java.lang.String title, java.lang.String fileName)` Creates a new PieChartMaker

### Method Summary

Methods
`protected abstract int` `calculateValue(Directory directory)`
`ChartImage` `toFile()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DirectoryPieChartMaker

    public DirectoryPieChartMaker(java.lang.String chartName,
                          ReportConfig config,
                          java.util.SortedSet directories,
                          java.lang.String title,
                          java.lang.String fileName)

Creates a new PieChartMaker

Parameters:
  `config` - The report configuration to use
  `directories` - The set of directories to consider
  `title` - The chart title
  `fileName` - The file name for chart

### Method Detail

#### toFile

    public ChartImage toFile()

#### calculateValue

    protected abstract int calculateValue(Directory directory)